<?php


// Задача 8. Написать код, который в случае,
// если $language имеет значение
// 'en_GB' -  в переменную $months запишет массив из 12 месяцев года на английском языке,
//  если language === ‘ru_RU’ – то на русском
//  нужно сделать через 2 if, через switch-case, через многомерный массив

echo '<pre>' . "TASK 8" . '</pre>';

$language = "en_EN"; // выбираем язык

// через 2 if
if ($language === "en_EN") {
    $months = [
        'January',
        'February',
        'March',
        'April',
        'May',
        'June',
        'July',
        'August',
        'September',
        'October',
        'November',
        'December'
    ];
}
if ($language === "ru_RU") {
    $months = [
        'Январь',
        'Февраль',
        'Март',
        'Апрель',
        'Май',
        'Июнь',
        'Июль',
        'Август',
        'Сентябрь',
        'Октябрь',
        'Ноябрь',
        'Декабрь'
    ];
}
echo '<pre>' . $months[2] . '</pre>'; // Март или March (зависит от значения $language)

// через многомерный массив
$months = [
    'en_EN' => [
        'January',
        'February',
        'March',
        'April',
        'May',
        'June',
        'July',
        'August',
        'September',
        'October',
        'November',
        'December'
    ],
    'ru_RU' => [
        'Январь',
        'Февраль',
        'Март',
        'Апрель',
        'Май',
        'Июнь',
        'Июль',
        'Август',
        'Сентябрь',
        'Октябрь',
        'Ноябрь',
        'Декабрь'
    ],
];
echo '<pre>' . $months[$language][4] . '</pre>'; // Май или May (зависит от значения $language)

// через switch-case
switch ($language) {
    case "en_EN":
        $months = [
            'January',
            'February',
            'March',
            'April',
            'May',
            'June',
            'July',
            'August',
            'September',
            'October',
            'November',
            'December'
        ];
        echo '<pre>' . $months[3] . '</pre>'; // April если английский язык
        break;
    case "ru_RU":
        $months = [
            'Январь',
            'Февраль',
            'Март',
            'Апрель',
            'Май',
            'Июнь',
            'Июль',
            'Август',
            'Сентябрь',
            'Октябрь',
            'Ноябрь',
            'Декабрь'
        ];
        echo '<pre>' . $months[7] . '</pre>'; // Август если русский язык
        break;
}

//Задача 13 (на циклы):
//нужно вывести в столбец числа от 1 до 75;
//нужно использовать 2 разных цикла.

echo '<pre>' . "TASK 13" . '</pre>';
// цикл через WHILE
$numberWhile = 1;
while ($numberWhile <= 75) {
    echo '<pre>' . $numberWhile . '</pre>';
    $numberWhile++;
}

//цикл через FOR
for ($numberFor = 1; $numberFor <= 75; $numberFor++) {
    echo '<pre>' . $numberFor . '</pre>';
}

// Задача 14 (на циклы):
// есть массив с элементами 7, 5, 3, 1;
// выведите квадрат каждого числа с новой строки.

echo '<pre>' . "TASK 14" . '</pre>';
$array = [7, 5, 3, 1];
foreach ($array as $value) {
    echo '<pre>' . $value *= $value . '</pre>';
}

// Задача 15 (на циклы):
// есть массив $responseStatuses = [
//     100 => 'Сообщения успешно приняты к отправке',
//     105 => 'Ошибка в формате запроса',
//     110 => 'Неверная авторизация',
//     115 => 'Недопустимый IP-адрес отправителя',
// ];
// с помощью цикла выведите на экран столбец строк формата:
// ‘Код ошибки  - 100, текст ошибки - Сообщения успешно приняты к отправке’ (всего 4 строки).

echo '<pre>' . "TASK 15" . '</pre>';
$responseStatuses = [
    100 => 'Сообщения успешно приняты к отправке',
    105 => 'Ошибка в формате запроса',
    110 => 'Неверная авторизация',
    115 => 'Недопустимый IP-адрес отправителя',
];
foreach ($responseStatuses as $key => $value) {
    echo '<pre>' . "Код ошибки - " . $key . ", текст ошибки - " . $value . '</pre>';
}

// ADVANCED

// ЗАДАЧА 1:
// есть число 5000;
// нужно поделить его на 2 столько раз, пока результат деления не станет меньше 77;
// выведите в конце число, которое получится;
// посчитайте и выведите количество итераций (повторений цикла), которое понадобилось;
// нужно решить задачу с помощью двух разных циклов.

echo '<pre>' . "TASK 1 (ADVANCED)" . '</pre>';
// цикл FOR
$numFor = 5000;
for ($i = 1 ; $i < 100 ; $i++ ) {
    $numFor /= 2;
    if ($numFor <77) {
        break;
    }
}
echo "Число, которое получилось = " . $numFor . ", количество итераций = " . $i . "<br/>" ;

// цикл WHILE
$numWhile = 5000;
$iteration = 0;
while ($numWhile > 77) {
    $numWhile /= 2;
    $iteration++;
}
echo "Число, которое получилось = " . $numWhile . ", количество итераций = " . $iteration . "<br/>" ;

